org.mariadb.jdbc.internal.packet.dao.parameters

## Interface ParameterHolder

All Known Implementing Classes:
  BigDecimalParameter, ByteArrayParameter, ByteParameter, DateParameter, DoubleParameter, FloatParameter, IntParameter, LongDataParameter, LongParameter, NotLongDataParameter, NullParameter, ReaderParameter, SerializableParameter, ShortParameter, StreamParameter, StringParameter, TimeParameter, TimestampParameter

    public interface ParameterHolder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getApproximateTextProtocolLength()`
`MariaDbType` `getMariaDbType()`
`boolean` `isLongData()`
`boolean` `isNullData()`
`String` `toString()`
`void` `writeTo(PacketOutputStream os)` Write parameter value.
`void` `writeUnsafeTo(PacketOutputStream os)`

### Method Detail

#### writeTo

    void writeTo(PacketOutputStream os)
          throws IOException

Write parameter value.

Parameters:
  `os` - the stream to write to
Throws:
  `IOException` - when something goes wrong

#### writeUnsafeTo

    void writeUnsafeTo(PacketOutputStream os)
                throws IOException

Throws:
  `IOException`

#### getApproximateTextProtocolLength

    long getApproximateTextProtocolLength()
                                   throws IOException

Throws:
  `IOException`

#### toString

    String toString()

Overrides:
  `toString` in class `Object`

#### isLongData

    boolean isLongData()

#### isNullData

    boolean isNullData()

#### getMariaDbType

    MariaDbType getMariaDbType()